Nouvelle page selon modèle TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw New Pick and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw New Pick.svg Nouvelle page selon modèle TechDraw

Emplacement du menu
TechDraw → Nouvelle page selon modèle
Ateliers
Atelier TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Insérer une nouvelle Page par défaut TechDraw, Modèles Techdraw


Description

L'outil Nouvelle page selon Modèle crée une nouvelle page à l'aide du fichier Modèle sélectionné dans une boîte de dialogue.

Le répertoire de départ de la boîte de dialogue peut être spécifié dans les Préférences.

A4 Landscape ISO7200 Pep.svg

L'un des modèles fournis avec TechDraw: A4 ISO 7200_Pep, page orientée paysage, avec des champs de texte modifiables


Comment faire

  1. Appuyez sur le bouton TechDraw New Pick.png Nouvelle page selon modèle

Propriétés

  • DONNÉESProjection Type: Type de projection par défaut (premier ou troisième angle (ou dièdre)) pour cette Page.
  • DONNÉESScale: Échelle par défaut pour les Vues dans cette Page.

Script

Voir aussi: TechDraw API et FreeCAD Scripting Basics.

L'outil Nouvelle page selon Modèle peut être utilisé dans des macros et depuis la console Python en utilisant les fonctions suivantes :

templateFileSpec = QtGui.QFileDialog.getOpenFileName(self.baseWidget,
                                                     dialogCaption, 
                                                     dialogDir,
                                                     dialogFilter)
page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
template = FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
template.Template = templateFileSpec
page.Template = FreeCAD.ActiveDocument.Template
  • Crée une nouvelle Page dans le document courant